Browse Source

Updated from global requirements

Change-Id: I9ae60dfb2ef5e8fb5aae482ddb08206fc1980ca5
changes/52/418152/2
OpenStack Proposal Bot 5 years ago
parent
commit
216aa0d4db
  1. 5
      requirements.txt
  2. 11
      setup.py
  3. 5
      test-requirements.txt

5
requirements.txt

@ -1,2 +1,5 @@
pbr>=0.5.21,<1.0
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)

11
setup.py

@ -1,4 +1,3 @@
#!/usr/bin/env python
# Copyright (c) 2013 Hewlett-Packard Development Company, L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License");
@ -17,6 +16,14 @@
# THIS FILE IS MANAGED BY THE GLOBAL REQUIREMENTS REPO - DO NOT EDIT
import setuptools
# In python < 2.7.4, a lazy loading of package `pbr` will break
# setuptools if some other modules registered functions in `atexit`.
# solution from: http://bugs.python.org/issue15881#msg170215
try:
import multiprocessing # noqa
except ImportError:
pass
setuptools.setup(
setup_requires=['pbr'],
setup_requires=['pbr>=1.8'],
pbr=True)

5
test-requirements.txt

@ -1 +1,4 @@
pyyaml
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
PyYAML>=3.10.0 # MIT

Loading…
Cancel
Save